Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036952
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] B. User interfacemajorhave not tried2017-09-26 10:382018-01-03 12:38
ReporteradrianromeroView Statuspublic 
Assigned Toadrianromero 
PrioritynormalResolutionopenFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision0f1670e33c7c
ProjectionnoneETAnoneTarget Version3.0PR18Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036952: Support for SVG image format

DescriptionCurrently the Openbravo ImageBLOB column reference only support images of type png, jpg and bmp. SVG is a vector image format that is used more and more in web applications because vector images are designed to be displayed the same way independently of the size of the image.
Steps To ReproduceN/A
Proposed Solutionhttps://code.openbravo.com/erp/devel/pi-sco/rev/033414530514 [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.mobile.core-sco/rev/8733327b4abb [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.mobile.core-sco/rev/20f6b51b5fb5 [^]
TagsContribution, SCO
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0099766)
hgbot (developer)
2017-10-04 16:30

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: bd2b6bf5c3315f60d70d63c3c3f8a27b0e4f63b2
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Oct 04 16:12:17 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/bd2b6bf5c3315f60d70d63c3c3f8a27b0e4f63b2 [^]

Related to issue 36952: Mobile core allow to use SVG

---
M web/org.openbravo.mobile.core/source/utils/ob-utilitiesui.js
---
(0100132)
adrianromero (manager)
2017-10-30 08:58
edited on: 2017-10-30 08:59

Head of the project branch merged is

https://code.openbravo.com/erp/devel/pi/rev/7c2ff92438e0 [^]

(0100144)
alostale (developer)
2017-10-30 13:39

reviewed as project: https://docs.google.com/spreadsheets/d/1J_Jr6_U1hDdMreEPUHuwNIUNK4iaTy1rsRW2ZDwTUng/edit#gid=0 [^]
(0101353)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101354)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101355)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101356)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101357)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101358)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101359)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101360)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101361)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-09-26 10:38 adrianromero New Issue
2017-09-26 10:38 adrianromero Assigned To => platform
2017-09-26 10:38 adrianromero Modules => Core
2017-09-26 10:38 adrianromero Triggers an Emergency Pack => No
2017-09-26 10:39 adrianromero Proposed Solution updated
2017-09-26 10:44 adrianromero Target Version => 3.0PR18Q1
2017-09-26 10:44 adrianromero Tag Attached: Contribution
2017-09-26 10:44 adrianromero Tag Attached: SCO
2017-10-04 16:30 hgbot Checkin
2017-10-04 16:30 hgbot Note Added: 0099766
2017-10-30 08:56 adrianromero Status new => scheduled
2017-10-30 08:58 adrianromero Note Added: 0100132
2017-10-30 08:58 adrianromero Status scheduled => resolved
2017-10-30 08:58 adrianromero Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/7c2ff92438e0 [^]
2017-10-30 08:59 adrianromero Note Edited: 0100132 View Revisions
2017-10-30 13:39 alostale Assigned To platform => adrianromero
2017-10-30 13:39 alostale Fixed in SCM revision https://code.openbravo.com/erp/devel/pi/rev/7c2ff92438e0 [^] => https://code.openbravo.com/erp/devel/pi/rev/0f1670e33c7c [^]
2017-10-30 13:39 alostale Review Assigned To => alostale
2017-10-30 13:39 alostale Note Added: 0100144
2017-10-30 13:39 alostale Status resolved => closed
2017-10-30 13:39 alostale Fixed in Version => 3.0PR18Q1
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101353
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101354
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101355
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101356
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101357
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101358
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101359
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101360
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101361


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker